#!/bin/bash

##
## Execute proper command to install an init script
##
InstallInitScript()
{
	INIT_SCRIPT_NAME="${1}"

	if [ -e /usr/lib/systemd/system/${INIT_SCRIPT_NAME}.service ];
	then
		#The below code added for upgrade on RHEL 7 
		if [ -e /etc/systemd/system/${INIT_SCRIPT_NAME}.service ];
		then
			/usr/bin/systemctl disable ${INIT_SCRIPT_NAME}
			mv /etc/systemd/system/${INIT_SCRIPT_NAME}.service /etc/systemd/system/${INIT_SCRIPT_NAME}.service.bak
		fi	
		# this is rhel7, so enable systemd daemon
		/usr/bin/systemctl daemon-reload
		/usr/bin/systemctl enable ${INIT_SCRIPT_NAME}
		/usr/bin/systemctl daemon-reload
		#The below code runs for upgrade on RHEL 7
		if [ -e /etc/systemd/system/${INIT_SCRIPT_NAME}.service.bak ];
		then	
			mv /etc/systemd/system/${INIT_SCRIPT_NAME}.service.bak /etc/systemd/system/${INIT_SCRIPT_NAME}.service
		fi
	elif [ -x /sbin/chkconfig ];
	then
		# this is a Red Hat type install
		/sbin/chkconfig --add ${INIT_SCRIPT_NAME}

	# check for lsb install
	elif [ -x /usr/lib/lsb/install_initd ];
	then
		# this is an lsb install
		/usr/lib/lsb/install_initd /etc/init.d/${INIT_SCRIPT_NAME} >/dev/null 2>&1
	fi
	return 0
}


InstallInitScript  dcismeng 

exit 0
